Subtitle ToolsST

Subtitle merger - nearest cue mode

POSThttps://subtitletools.com/api/v1/merge-subtitles/nearest-cue

This endpoint is the API version of the 'nearest cue' mode of the subtitle merger tool.

Request body

FieldTypeRequiredDescription
subtitleFileRequiredThe base subtitle file
second-subtitleFileRequiredThe merge subtitle. This file will be merged into the base subtitle.
nearestCueThresholdIntegerRequiredThe threshold in milliseconds to determine the nearest cue. A good default is 1000 milliseconds.
nearestCueTopBottomBooleanRequiredIf true, the text of the merge subtitle will appear at the top of the screen.
baseSubtitleColorStringRequiredA hex color, for example #ffff54. This color will be applied to text of the base subtitle. If you don't want to color the text, send null.
mergeSubtitleColorStringRequiredA hex color, for example #ffff54. This color will be applied to text of the merge subtitle. If you don't want to color the text, send null.

Example responses

{
    errors: null,
    download_url: "https://subtitletools.com/api/v1/download/6436c844e3"
}

Or, when a validation error occurs:

{
    errors: [
        "The subtitle field is required."
    ],
    download_url: null
}